# use appimage from https://github.com/valicm/VSCode-AppImage/releases/tag/latest

%define __os_install_post %{nil}

Name:	VSCode
Version:	1.82.1
Release:	%mkrel 1
License:	GPLv3
Group:	Development/Tools
Summary:	Code editing. Redefined.
Url:		https://github.com/valicm/VSCode-AppImage/releases/tag/latest
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Visual Studio Code, also commonly referred to as VS Code, is a source-code editor
made by Microsoft with the Electron Framework, for Windows, Linux and macOS.
Features include support for debugging, syntax highlighting, intelligent code completion,
snippets, code refactoring, and embedded Git.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/valicm/VSCode-AppImage/releases/download/latest/VSCode-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/VSCode-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Sep 12 2023 tex - 1.82.1-1pclos2023
- new version

* Sun Jul 30 2023 tex - 1.80.2-1pclos2023
- new version

* Wed Jul 19 2023 tex - 1.80.1-1pclos2023
- new version

* Wed Jun 14 2023 tex - 1.79.1-1pclos2023
- new version

* Mon Jun 12 2023 tex - 1.79.0-1pclos2023
- new version

* Sun Apr 09 2023 tex - 1.77.1-1pclos2023
- create pkg
